Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.plexus
Class PlexusXFireTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.codehaus.plexus.PlexusTestCase
                  org.codehaus.xfire.plexus.PlexusXFireTest

All Implemented Interfaces:
  junit.framework.Test

    public class PlexusXFireTest

extends org.codehaus.plexus.PlexusTestCase

Contains helpful methods to test SOAP services.

Author:
  Dan Diephouse

Field Summary

Fields inherited from class org.codehaus.plexus.PlexusTestCase
`basedir, container`

Constructor Summary
`PlexusXFireTest()`

Method Summary
`void` | `addNamespace(java.lang.String ns, java.lang.String uri)` Add a namespace that will be used for XPath expressions.
`java.util.List` | `assertInvalid(java.lang.String xpath, org.codehaus.yom.Node node)` Assert that the following XPath query selects no nodes.
`void` | `assertNoFault(org.codehaus.yom.Node node)`
`java.util.List` | `assertValid(java.lang.String xpath, org.codehaus.yom.Node node)` Assert that the following XPath query selects one or more nodes.
`void` | `assertXPathEquals(java.lang.String xpath, java.lang.String value, org.codehaus.yom.Node node)` Asser that the text of the xpath node retrieved is equal to the value specified.
`protected ServiceRegistry` | `getServiceRegistry()`
`protected WSDLWriter` | `getWSDL(java.lang.String service)` Get the WSDL for a service.
`protected org.codehaus.yom.Document` | `getWSDLDocument(java.lang.String service)`
`protected XFire` | `getXFire()`
`protected org.codehaus.yom.Document` | `invokeService(java.lang.String service, java.lang.String document)` Invoke a service with the specified document.
`protected void` | `printNode(org.codehaus.yom.Node node)`
`protected org.codehaus.yom.Document` | `readDocument(java.lang.String text)`
`protected void` | `setUp()`

Methods inherited from class org.codehaus.plexus.PlexusTestCase
`createContainerInstance, customizeContext, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getContainer, getCustomConfiguration, getResourceAsStream, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, release, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlexusXFireTest

    public PlexusXFireTest()

Method Detail

### printNode

    protected void printNode(org.codehaus.yom.Node node)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### invokeService

    protected org.codehaus.yom.Document invokeService(java.lang.String service,
                                                      java.lang.String document)
                                               throws java.lang.Exception

  Invoke a service with the specified document.

  Parameters:
    `service` - The name of the service.
    `document` - The request as an xml document in the classpath.
  Throws:
    `java.lang.Exception`

### readDocument

    protected org.codehaus.yom.Document readDocument(java.lang.String text)
                                              throws javax.xml.stream.XMLStreamException

  Throws:
    `javax.xml.stream.XMLStreamException`

### getWSDLDocument

    protected org.codehaus.yom.Document getWSDLDocument(java.lang.String service)
                                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Overrides:
    `setUp` in class `org.codehaus.plexus.PlexusTestCase`
  Throws:
    `java.lang.Exception`
  See Also:
    `TestCase.setUp()`

### assertValid

    public java.util.List assertValid(java.lang.String xpath,
                                      org.codehaus.yom.Node node)
                               throws java.lang.Exception

  Assert that the following XPath query selects one or more nodes.

  Parameters:
    `xpath` -
  Returns:
  Throws:
    `java.lang.Exception`

### assertInvalid

    public java.util.List assertInvalid(java.lang.String xpath,
                                        org.codehaus.yom.Node node)
                                 throws java.lang.Exception

  Assert that the following XPath query selects no nodes.

  Parameters:
    `xpath` -
  Returns:
  Throws:
    `java.lang.Exception`

### assertXPathEquals

    public void assertXPathEquals(java.lang.String xpath,
                                  java.lang.String value,
                                  org.codehaus.yom.Node node)
                           throws java.lang.Exception

  Asser that the text of the xpath node retrieved is equal to the value specified.

  Parameters:
    `xpath` -
    `value` -
    `node` -
  Throws:
    `java.lang.Exception`

### assertNoFault

    public void assertNoFault(org.codehaus.yom.Node node)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### addNamespace

    public void addNamespace(java.lang.String ns,
                             java.lang.String uri)

  Add a namespace that will be used for XPath expressions.

  Parameters:
    `ns` - Namespace name.
    `uri` - The namespace uri.

### getWSDL

    protected WSDLWriter getWSDL(java.lang.String service)
                          throws java.lang.Exception

  Get the WSDL for a service.

  Parameters:
    `string` - The name of the service.
  Returns:
  Throws:
    `java.lang.Exception`

### getXFire

    protected XFire getXFire()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getServiceRegistry

    protected ServiceRegistry getServiceRegistry()
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.